public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: add the hostapd test to upstream repo
@ 2026-09-11 13:19 Milos Malik
0 siblings, 0 replies; only message in thread
From: Milos Malik @ 2026-09-11 13:19 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 6b44611dd26be19ff23838ccca81c2034af1a53e
Author : Milos Malik <mmalik@redhat.com>
Date : 2022-03-23T19:05:41+00:00
Stats : +216/-0 in 4 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/6b44611dd26be19ff23838ccca81c2034af1a53e?branch=pr775-checkpolicy-revdeps
Log:
add the hostapd test to upstream repo
The hostapd component is frequently used by various users on Fedora
and RHEL, so it makes sense to run this TC in upstream testing too.
There are no changes in the TC functionality.
Moving the downstream TC to upstream repo.
---
diff --git a/selinux-policy/hostapd-and-similar/Makefile b/selinux-policy/hostapd-and-similar/Makefile
new file mode 100644
index 0000000..594646a
--- /dev/null
+++ b/selinux-policy/hostapd-and-similar/Makefile
@@ -0,0 +1,81 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Makefile of /CoreOS/selinux-policy/Regression/hostapd-and-similar
+# Description: SELinux interferes with hostapd and related programs
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Regression/hostapd-and-similar
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+ ./runtest.sh
+
+build: $(BUILT_FILES)
+ chmod a+x runtest.sh
+ chcon -t bin_t runtest.sh
+
+clean:
+ rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+ @echo "Owner: Milos Malik <mmalik@redhat.com>" > $(METADATA)
+ @echo "Name: $(TEST)" >> $(METADATA)
+ @echo "TestVersion: $(TESTVERSION)" >> $(METADATA)
+ @echo "Path: $(TEST_DIR)" >> $(METADATA)
+ @echo "Description: SELinux interferes with hostapd and related programs" >> $(METADATA)
+ @echo "Type: Regression" >> $(METADATA)
+ @echo "TestTime: 10m" >> $(METADATA)
+ @echo "RunFor: hostapd" >> $(METADATA)
+ @echo "RunFor: selinux-policy" >> $(METADATA)
+ @echo "Requires: audit libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted setools-console hostapd /usr/sbin/service kernel-modules-internal" >> $(METADATA)
+ @echo "RhtsRequires: library(selinux-policy/common)" >> $(METADATA)
+ @echo "Environment: AVC_ERROR=+no_avc_check" >> $(METADATA)
+ @echo "Priority: Normal" >> $(METADATA)
+ @echo "License: GPLv2" >> $(METADATA)
+ @echo "Confidential: no" >> $(METADATA)
+ @echo "Destructive: no" >> $(METADATA)
+ @echo "Releases: -RHEL4 -RHEL5 -RHEL6" >> $(METADATA)
+ @echo "Bug: 1224405" >> $(METADATA) # Fedora 22
+ @echo "Bug: 1225245" >> $(METADATA) # Fedora 22
+ @echo "Bug: 1237343" >> $(METADATA) # Fedora 22
+ @echo "Bug: 1266068" >> $(METADATA) # Fedora 23
+ @echo "Bug: 1273570" >> $(METADATA) # Fedora 23
+ @echo "Bug: 1278569" >> $(METADATA) # Fedora 23
+ @echo "Bug: 1282179" >> $(METADATA) # Fedora 23
+ @echo "Bug: 1334021" >> $(METADATA) # Fedora 24
+ @echo "Bug: 1343683" >> $(METADATA) # Fedora 24
+ @echo "Bug: 1977676" >> $(METADATA) # RHEL-8
+ @echo "Bug: 1979968" >> $(METADATA) # RHEL-9
+ @echo "Bug: 1784253" >> $(METADATA) # Fedora 35
+ @echo "Bug: 2032277" >> $(METADATA) # Fedora 35
+
+ rhts-lint $(METADATA)
+
diff --git a/selinux-policy/hostapd-and-similar/PURPOSE b/selinux-policy/hostapd-and-similar/PURPOSE
new file mode 100644
index 0000000..7f50b6d
--- /dev/null
+++ b/selinux-policy/hostapd-and-similar/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Regression/hostapd-and-similar
+Author: Milos Malik <mmalik@redhat.com>
+
+SELinux interferes with hostapd and related programs.
+
diff --git a/selinux-policy/hostapd-and-similar/main.fmf b/selinux-policy/hostapd-and-similar/main.fmf
new file mode 100644
index 0000000..2c5835e
--- /dev/null
+++ b/selinux-policy/hostapd-and-similar/main.fmf
@@ -0,0 +1,2 @@
+path: /selinux-policy/hostapd-and-similar
+tier: 2
diff --git a/selinux-policy/hostapd-and-similar/runtest.sh b/selinux-policy/hostapd-and-similar/runtest.sh
new file mode 100755
index 0000000..c2323e0
--- /dev/null
+++ b/selinux-policy/hostapd-and-similar/runtest.sh
@@ -0,0 +1,128 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /CoreOS/selinux-policy/Regression/hostapd-and-similar
+# Description: SELinux interferes with hostapd and related programs
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+ROOT_PASSWORD="redhat"
+FILE_PATH="/usr/sbin/hostapd"
+FILE_CONTEXT="hostapd_exec_t"
+SERVICE_PACKAGE="hostapd"
+SERVICE_NAME="hostapd"
+PROCESS_NAME="hostapd"
+PROCESS_CONTEXT="hostapd_t"
+
+rlJournalStart
+ rlPhaseStartSetup
+ rlRun "rlImport 'selinux-policy/common'"
+ rlSESatisfyRequires
+ rlAssertRpm ${PACKAGE}
+ rlAssertRpm ${PACKAGE}-targeted
+ rlAssertRpm ${SERVICE_PACKAGE}
+ rlRun "rpm -qa kernel\*"
+ rlRun "uname -a"
+ rlServiceStop ${SERVICE_NAME}
+ rlFileBackup /etc/shadow
+ rlFileBackup /etc/hostapd/hostapd.conf
+
+ rlSESetEnforce
+ rlSEStatus
+ rlSESetTimestamp
+ sleep 2
+ rlPhaseEnd
+
+ if rlSEDefined ${PROCESS_CONTEXT} ; then
+ rlPhaseStartTest "bz#1224405"
+ rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
+ rlSEMatchPathCon "/run/hostapd" "hostapd_var_run_t"
+ rlSEMatchPathCon "/run/hostapd/wlan0" "hostapd_var_run_t"
+ SOURCE_TYPE="init_t" # systemd runs the process
+ rlSESearchRule "allow ${SOURCE_TYPE} ${FILE_CONTEXT} : file { getattr open read execute } $BOOLEANS"
+ rlSESearchRule "allow ${SOURCE_TYPE} ${PROCESS_CONTEXT} : process { transition } $BOOLEANS"
+ rlSESearchRule "type_transition ${SOURCE_TYPE} ${FILE_CONTEXT} : process ${PROCESS_CONTEXT} $BOOLEANS"
+ rlSESearchRule "dontaudit hostapd_t debugfs_t : dir { search } [ ]"
+ rlSESearchRule "allow hostapd_t hostapd_var_run_t : sock_file { create setattr unlink } [ ]"
+ rlSESearchRule "allow hostapd_t hostapd_t : capability { fsetid } [ ]"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1225245"
+ rlSESearchRule "allow hostapd_t hostapd_t : capability { net_admin } [ ]"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1237343"
+ rlSESearchRule "allow hostapd_t hostapd_t : capability { net_raw } [ ]"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1266068 + bz#1273570 + bz#1278569 + bz#1282179 + bz#1334021 + bz#1343683"
+ rlSESearchRule "allow hostapd_t hostapd_t : netlink_generic_socket { create setopt bind getattr } [ ]"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1977676 + bz#1979968"
+ rlSEMatchPathCon "/usr/sbin/hostapd" "hostapd_exec_t"
+ rlSEMatchPortCon udp 67 dhcpd_port_t
+ rlSESearchRule "allow hostapd_t hostapd_t : capability { net_bind_service } [ ]"
+ rlSESearchRule "allow hostapd_t dhcpd_port_t : udp_socket { name_bind } [ ]"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1784253 + bz#2032277"
+ rlSESearchRule "allow hostapd_t user_tmp_t : sock_file { write } [ ]"
+ rlSESearchRule "allow hostapd_t unconfined_t : unix_dgram_socket { sendto } [ ]"
+ rlPhaseEnd
+ fi
+
+ rlPhaseStartTest "real scenario -- standalone service"
+ rlRun "echo ${ROOT_PASSWORD} | passwd --stdin root"
+ rlRun "modprobe mac80211_hwsim"
+ rlRun "sed -i 's/^interface=.*$//' /etc/hostapd/hostapd.conf"
+ rlRun "sed -i 's/^hw_mode=.*$//' /etc/hostapd/hostapd.conf"
+ rlRun "sed -i 's/^channel=.*$//' /etc/hostapd/hostapd.conf"
+ rlRun "sed -i 's/^ssid=.*//' /etc/hostapd/hostapd.conf"
+ rlRun "echo interface=wlan0 >> /etc/hostapd/hostapd.conf"
+ rlRun "echo hw_mode=g >> /etc/hostapd/hostapd.conf"
+ rlRun "echo channel=10 >> /etc/hostapd/hostapd.conf"
+ rlRun "echo ssid=somename >> /etc/hostapd/hostapd.conf"
+ if ! rlSEDefined ${PROCESS_CONTEXT} ; then
+ PROCESS_CONTEXT="unconfined_service_t"
+ fi
+ rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "start status" 1
+ rlRun "restorecon -Rv /run /var"
+ rlRun "hostapd_cli all_sta"
+ rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "restart status stop status" 1
+ rlPhaseEnd
+
+ rlPhaseStartCleanup
+ sleep 2
+ rlSECheckAVC
+
+ rlFileRestore
+ rlServiceRestore ${SERVICE_NAME}
+ rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:19 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:19 [tests/selinux] pr775-checkpolicy-revdeps: add the hostapd test to upstream repo Milos Malik
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox